Class InternetAccessIbxsImpl
java.lang.Object
com.eqixiac.equinix.internetaccess.client.implementation.InternetAccessIbxsImpl
- All Implemented Interfaces:
InternetAccessIbxs
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionavailability(ConnectionType connectionType) Returns the IBXs where Equinix Internet Access is available for the given connection type.availability(ConnectionType connectionType, String accessPointType, String assetType) Returns the IBXs where Equinix Internet Access is available, narrowed by connection access point type and required asset type.Returns the detail for a single IBX where Equinix Internet Access is available, via the v1 single-IBX get (GET /internetAccess/v1/ibxs/{ibx}).getByCode(String ibx, ConnectionType connectionType, String accessPointType) Returns the detail for a single IBX where Equinix Internet Access is available, via the v1 single-IBX get (GET /internetAccess/v1/ibxs/{ibx}), narrowed by service connection type and connection access point type.
-
Constructor Details
-
InternetAccessIbxsImpl
public InternetAccessIbxsImpl()
-
-
Method Details
-
availability
Description copied from interface:InternetAccessIbxsReturns the IBXs where Equinix Internet Access is available for the given connection type.- Specified by:
availabilityin interfaceInternetAccessIbxs- Parameters:
connectionType- the service connection type (IA_Cphysical orIA_VCvirtual); required- Returns:
- a paginated list of matching IBXs
-
availability
public PaginatedList<Ibx> availability(ConnectionType connectionType, String accessPointType, String assetType) Description copied from interface:InternetAccessIbxsReturns the IBXs where Equinix Internet Access is available, narrowed by connection access point type and required asset type.- Specified by:
availabilityin interfaceInternetAccessIbxs- Parameters:
connectionType- the service connection type (IA_Cphysical orIA_VCvirtual)accessPointType- the connection A-side access point type (e.g.COLO,VD,PORT), ornullfor the default (COLO)assetType- the type of asset the user must have in the IBX (e.g.CABINET), ornullfor no asset constraint- Returns:
- a paginated list of matching IBXs
-
getByCode
Description copied from interface:InternetAccessIbxsReturns the detail for a single IBX where Equinix Internet Access is available, via the v1 single-IBX get (GET /internetAccess/v1/ibxs/{ibx}).- Specified by:
getByCodein interfaceInternetAccessIbxs- Parameters:
ibx- the IBX data center code (e.g.WA1)- Returns:
- the matching IBX
-
getByCode
Description copied from interface:InternetAccessIbxsReturns the detail for a single IBX where Equinix Internet Access is available, via the v1 single-IBX get (GET /internetAccess/v1/ibxs/{ibx}), narrowed by service connection type and connection access point type.- Specified by:
getByCodein interfaceInternetAccessIbxs- Parameters:
ibx- the IBX data center code (e.g.WA1)connectionType- the service connection type (IA_Cphysical orIA_VCvirtual), ornullfor no constraintaccessPointType- the connection A-side access point type (e.g.COLO,VD), ornullfor no constraint- Returns:
- the matching IBX
-